#ifndef CSPRINKLERDEVICE_H
#define CSPRINKLERDEVICE_H
#include <QString>

typedef enum eSprinklerState
{
    SPRINKLER_OFF_STATE = 0,
    SPRINKLER_ON_STATE,
    SPRINKLER_UNKNOWN_STATE
}SprinklerState;

class CSprinklerDevice
{
public:
    CSprinklerDevice();
    int SetSprinklerState(SprinklerState State);
    SprinklerState GetSprinklerState();
    int SetFlow(unsigned short flow);
    unsigned short GetFlow();

    SprinklerState mSprinklerState;
    int mDeviceAddress;
    QString mDeviceLocation;
    unsigned short mFlowMeter;
};

#endif // CSPRINKLERDEVICE_H
